cURL
curl -X PUT "https://api.ionq.co/v0.4/jobs/617a1f8b-59d4-435d-aa33-695433d7155e/status/cancel" \
-H "Authorization: apiKey your-api-key"import requests
url = "https://api.ionq.co/v0.4/jobs/{UUID}/status/cancel"
headers = {"Authorization": "<api-key>"}
response = requests.put(url, headers=headers)
print(response.text)const options = {method: 'PUT', headers: {Authorization: '<api-key>'}};
fetch('https://api.ionq.co/v0.4/jobs/{UUID}/status/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "617a1f8b-59d4-435d-aa33-695433d7155e",
"status": "canceled"
}Jobs
Cancel a job
Stop the execution of job in queue.
PUT
/
jobs
/
{UUID}
/
status
/
cancel
cURL
curl -X PUT "https://api.ionq.co/v0.4/jobs/617a1f8b-59d4-435d-aa33-695433d7155e/status/cancel" \
-H "Authorization: apiKey your-api-key"import requests
url = "https://api.ionq.co/v0.4/jobs/{UUID}/status/cancel"
headers = {"Authorization": "<api-key>"}
response = requests.put(url, headers=headers)
print(response.text)const options = {method: 'PUT', headers: {Authorization: '<api-key>'}};
fetch('https://api.ionq.co/v0.4/jobs/{UUID}/status/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "617a1f8b-59d4-435d-aa33-695433d7155e",
"status": "canceled"
}Stop the execution of a job that is currently queued or running. Canceled jobs will not consume additional usage time, but any partial execution that has already occurred may still be billed.
Authorizations
API keys are associated with a user and can be created on the IonQ Quantum Cloud application. To authenticate, prefix your API Key with apiKey and place it in the Authorization request header. Ex: Authorization: apiKey your-api-key
Path Parameters
The UUID of the job — this UUID is provided in the response on job creation.
Was this page helpful?

